Debian Bug report logs - #440111
RFP: rockboxutility -- Utility for installing Rockbox on portable audio players

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Jonas Häggqvist <rasher@rasher.dk>

Date: Wed, 29 Aug 2007 21:09:01 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#440111; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jonas Häggqvist <rasher@rasher.dk>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jonas Häggqvist <rasher@rasher.dk>
To: submit@bugs.debian.org
Subject: RFP: rockboxutility -- Utility for installing Rockbox on portable audio players
Date: Wed, 29 Aug 2007 23:06:15 +0200
Package: wnpp
Severity: wishlist

Rockbox utility is a Qt application written to ease the installation of
Rockbox on digital audio players. Rockbox is an open source replacement
firmware for mp3 players. It runs on a number of different models, such as
older Archos models, Iriver H100, H300 and H10 series, most Ipods and more.
Rockbox utility source can be retrieved from the Rockbox svn repository:
svn co svn://svn.rockbox.org/rockbox/trunk/rbutil/rbutilqt rockboxutility

The program is entirely under the GPLv2. More details about Rockbox can be
found on the project's website http://www.rockbox.org/. Rockbox utility has
a Wikipage at http://www.rockbox.org/twiki/bin/view/Main/RockboxUtilityQt

It's important to note that this is the Qt version or Rockbox utility, as a
version written with wxwidgets was abandoned, and the Qt version is the
replacement.

-- 
Jonas Häggqvist, Rockbox developer
rasher(at)rasher(dot)dk



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#440111; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Benj. Mako Hill" <mako@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 440111@bugs.debian.org (full text, mbox):

From: "Benj. Mako Hill" <mako@debian.org>
To: Jonas Häggqvist <rasher@rasher.dk>
Cc: 440111@bugs.debian.org
Subject: Re: Rockbox utility
Date: Thu, 30 Aug 2007 10:17:08 -0400
[Message part 1 (text/plain, inline)]
<quote who="Jonas Häggqvist" date="Wed, Aug 29, 2007 at 11:38:43PM +0200">
> I saw you once mentioned on copyrighteous that you might help package
> Rockbox Utility for Debian and/or Ubuntu. I just filed an RFP in Debian for
> it if you're still interested (or know someone who might be):
> http://bugs.debian.org/440111
> 
> http://www.rockbox.org/twiki/bin/view/Main/RockboxUtilityQt

Actually, I mentioned a different RockBox installing utility which was
one that I wrote. That said, this one is much better. I'm happy to try
it out and consider packing it though.

If someone else *really* wants it, I'm happy to defer or help and
sponsor.

Later,
Mako

-- 
Benjamin Mako Hill
mako@debian.org
http://mako.cc/

Creativity can be a social contribution, but only in so
far as society is free to use the results. --RMS
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#440111; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jonas Häggqvist <rasher@rasher.dk>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #15 received at 440111@bugs.debian.org (full text, mbox):

From: Jonas Häggqvist <rasher@rasher.dk>
To: "Benj. Mako Hill" <mako@debian.org>
Cc: 440111@bugs.debian.org
Subject: Re: Rockbox utility
Date: Fri, 31 Aug 2007 15:14:00 +0200
Benj. Mako Hill wrote:
> Actually, I mentioned a different RockBox installing utility which was
> one that I wrote.

Nu-uh! http://mako.cc/copyrighteous/20070308-00.comment :-)

> That said, this one is much better. I'm happy to try it out and consider
> packing it though.

I should probably note that there's an error in the instructions above. You
need to svn co svn://svn.rockbox.org/rockbox/trunk/rbutil rockboxutility
since some of the needed code lives a level below the Qt code. This is
because of leftovers from the aforementioned abandoned wxwidgets version.
This should get cleared up soon though, and only the Qt version code should
be in the rbutil directory. Build instructions are in the wikipage I linked,
but amounts to basically (on Debian) "qmake-qt4 && make" (no make install
step yet).


-- 
Jonas Häggqvist
rasher(at)rasher(dot)dk



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#440111; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Benj. Mako Hill" <mako@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #20 received at 440111@bugs.debian.org (full text, mbox):

From: "Benj. Mako Hill" <mako@debian.org>
To: Jonas Häggqvist <rasher@rasher.dk>
Cc: 440111@bugs.debian.org
Subject: Re: Rockbox utility
Date: Tue, 4 Sep 2007 19:29:51 -0400
<quote who="Jonas Häggqvist" date="Fri, Aug 31, 2007 at 03:14:00PM +0200">
> Benj. Mako Hill wrote:
> > Actually, I mentioned a different RockBox installing utility which
> > was one that I wrote.
> 
> Nu-uh! http://mako.cc/copyrighteous/20070308-00.comment :-)
> 
> > That said, this one is much better. I'm happy to try it out and
> > consider packing it though.
> 
> I should probably note that there's an error in the instructions
> above. You need to svn co svn://svn.rockbox.org/rockbox/trunk/rbutil
> rockboxutility since some of the needed code lives a level below the
> Qt code. This is because of leftovers from the aforementioned
> abandoned wxwidgets version.  This should get cleared up soon though,
> and only the Qt version code should be in the rbutil directory. Build
> instructions are in the wikipage I linked, but amounts to basically
> (on Debian) "qmake-qt4 && make" (no make install step yet).

You're right. :)

OK then. I'll look into it.

Later,
Mako

-- 
Benjamin Mako Hill
mako@debian.org
http://mako.cc/




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#440111; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "David Futcher" <bobbo@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #25 received at 440111@bugs.debian.org (full text, mbox):

From: "David Futcher" <bobbo@ubuntu.com>
To: 440111@bugs.debian.org
Subject: Taking Ownership
Date: Thu, 28 Aug 2008 19:05:46 +0100
[Message part 1 (text/plain, inline)]
owner 440111 !
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#440111; Package wnpp. (Sat, 25 Apr 2009 03:00:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rogerio Brito <rbrito@ime.usp.br>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Sat, 25 Apr 2009 03:00:10 GMT) Full text and rfc822 format available.

Message #30 received at 440111@bugs.debian.org (full text, mbox):

From: Rogerio Brito <rbrito@ime.usp.br>
To: 440111@bugs.debian.org
Subject: Any updates on this bug?
Date: Fri, 24 Apr 2009 23:56:11 -0300
Hi there.

Is there any progress on this? Any updates?


Thanks for any information, Rogério Brito.

-- 
Rogério Brito : rbrito@{mackenzie,ime.usp}.br : GPG key 1024D/7C2CAEB8
http://www.ime.usp.br/~rbrito : http://meusite.mackenzie.com.br/rbrito
Projects: algorithms.berlios.de : lame.sf.net : vrms.alioth.debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#440111; Package wnpp. (Sat, 05 Jun 2010 14:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Loïc Minier <lool@dooz.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 05 Jun 2010 14:51:03 GMT) Full text and rfc822 format available.

Message #35 received at 440111@bugs.debian.org (full text, mbox):

From: Loïc Minier <lool@dooz.org>
To: 440111@bugs.debian.org
Subject: Sample packages
Date: Sat, 5 Jun 2010 16:47:24 +0200
        Hi

 I've prepared a 1.2.6 package, it's living in my Ubuntu PPA at
 https://launchpad.net/~lool/+archive/ppa/+packages but should build
 just fine under Debian.

   Cheers
-- 
Loïc Minier




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:49:05 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.